Extending Qt Creator Manual | BaseTextEditor

Extending Qt Creator Manual 4.3.0

# BaseTextEditor Class

(TextEditor::BaseTextEditor)

The BaseTextEditor class is base implementation for QPlainTextEdit-based text editors. It can use the Kate text highlighting definitions, and some basic auto indentation. More...

Header: | #include <BaseTextEditor>
Inherits: | Core::IEditor
Inherited By: | VcsBase::VcsBaseEditor

- List of all members, including inherited members

## Public Functions

| BaseTextEditor()
| ~BaseTextEditor()
void | addContext(Core::Id id)
QChar | characterAt(int pos) const
TextEditorWidget * | editorWidget() const
virtual void | finalizeInitialization()
virtual QString | selectedText() const
void | setTextCursor(const QTextCursor &cursor)
QString | textAt(int from, int to) const
QTextCursor | textCursor() const
TextDocument * | textDocument() const

- 11 public functions inherited from Core::IEditor
- 6 public functions inherited from Core::IContext

## Static Public Members

BaseTextEditor * | currentTextEditor()

## Detailed Description

The BaseTextEditor class is base implementation for QPlainTextEdit-based text editors. It can use the Kate text highlighting definitions, and some basic auto indentation.

The corresponding document base class is BaseTextDocument, the corresponding widget base class is BaseTextEditorWidget.

It is the default editor for text files used by Qt Creator, if no other editor implementation matches the MIME type.

## Member Function Documentation

### BaseTextEditor::BaseTextEditor()

Default constructs an instance of BaseTextEditor.

### BaseTextEditor::~BaseTextEditor()

Destroys the instance of BaseTextEditor.

### void BaseTextEditor::addContext(Core::Id id)

### QChar BaseTextEditor::characterAt(int pos) const

### `[static]` BaseTextEditor *BaseTextEditor::currentTextEditor()

### TextEditorWidget *BaseTextEditor::editorWidget() const

### `[virtual]` void BaseTextEditor::finalizeInitialization()

### `[virtual]` QString BaseTextEditor::selectedText() const

### void BaseTextEditor::setTextCursor(const QTextCursor &cursor)

See also textCursor().

### QString BaseTextEditor::textAt(int from, int to) const

### QTextCursor BaseTextEditor::textCursor() const

See also setTextCursor().

### TextDocument *BaseTextEditor::textDocument() const